% Si la interpolación puede ser un desastre
% ¿cuál es la alternativa?
% En pocas palabras se usa interpolación de grado
% bajo a  trozos con condiciones extra para asegurar
% cierta regularidad.
% Los splines (cúbicos naturales) dan de los mejores 
% resultados. Son polinomios cúbicos a trozos
n = 10;
x = linspace(-5,5,n+1);
y = 1./(1+x.^2);
cpi = polyfit(x,y,n); % pol de interpolación
sc = spline(x,y); % polinomio cúbico a trozos

figure(1)
t = linspace(-5,5,300);
plot(t, 1./(1+t.^2), 'r--', t, ppval(sc,t), 'c')
%plot(t, 1./(1+t.^2), 'r--', t, polyval(cpi,t), 'g', t, ppval(sc,t), 'c')